<?php
class Plugin_dribbble extends Plugin {

    var $meta = array(
        'name'       => 'Dribbble',
        'version'    => '0.9',
        'author'     => 'Jack McDade',
        'author_url' => 'http://jackmcdade.com'
    );

    public function shots()
    {
        $list   = $this->fetch_param('list', null);
        $limit  = $this->fetch_param('limit', 5, 'is_numeric');
        $player = $this->fetch_param('player', null);

        $params = "players/$player/shots?per_page=$limit";

        if ($items = $this->dribbble_curl($params))
            return (array)$items;

        return false;
    }

    public function players()
    {
        $player = $this->fetch_param('player', null);
        $params = "players/$player";

        if ($player = $this->dribbble_curl($params))
            return (array)$player;

        return false;
    }

    public function lists()
    {
        $list = $this->fetch_param('list', 'everyone');

        $params = "shots/$list";

        if ($shot_list = $this->dribbble_curl($params))
            return (array)$shot_list;

        return false;
    }

    function dribbble_curl($params)
    {        
        $request = curl_init('http://api.dribbble.com/'.$params);
        curl_setopt($request, CURLOPT_RETURNTRANSFER, true);

        $contents = curl_exec($request);
        
        if ($contents)
            return json_decode($contents);
        
        echo "Dribbble requires the CURL library to be installed."; // else
    }
}